DELETE
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
sessions
/
{sessionId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.closeProviderSocket({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  sessionId: process.env.OCTOSPARK_SESSION_ID ?? "sessionId",
})
{
  "ok": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

sessionId
string<uuid>
required

Socket session UUID returned when opening a provider WebSocket session.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

ok
enum<boolean>
required
Available options:
true